#!/usr/bin/perl -T
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

use 5.10.1;
use strict;
use warnings;
use lib qw(. lib);

use File::Slurp;

use Bugzilla;
use Bugzilla::Error;

BEGIN { Bugzilla->extensions }
use Bugzilla::Extension::SAML2Auth::Util;

my $cgi      = Bugzilla->cgi;
my $template = Bugzilla->template;
my @cert     = read_file(Bugzilla->params->{saml2auth_sp_crt});

#chop off start and end comment lines
shift(@cert);
pop(@cert);

my %vars
  = (saml_crt => join("", @cert), exptime => DateTime->now->add(weeks => 2),);

print $cgi->header('application/xml');
$template->process("saml2auth/metadata.xml.tmpl", \%vars)
  || ThrowTemplateError($template->error());

