# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.
#
# This Source Code Form is "Incompatible With Secondary Licenses", as
# defined by the Mozilla Public License, v. 2.0.

use 5.10.1;
use strict;
use warnings;

use lib qw(. t lib);

use Bugzilla::Constants;
use Bugzilla;

our @extensions;

BEGIN {
  @extensions = @{Bugzilla->extensions};
}

use Test::More tests => scalar(@extensions);

foreach my $extension (@extensions) {
  my $name = $extension->NAME;
  my $version;
  eval { $version = $extension->VERSION || 0; };
  my $e = $@;
  ok((not $e), "Validate version for $name");
  print($e) if $e;
}

